Config = function (game) {

};

Config.prototype = {
    
    create: function () {
        //efeito sonoro
        this.fx = game.add.audio('fx-botao');
        
        game.add.sprite(0,0, 'banner-config');
        this.back = game.add.button(1170,96, 'btn-back',this.clickSeta, this, 0,0,1);
        this.back.anchor.setTo(0.5, 0.5);
        
        //selecao da clave
        this.btnClave =  game.add.button(208, 308, 'btn-config', this.clickClave, this, 1, 1, 5);
        this.btnClave.anchor.setTo(0.5, 0.5);
        this.clave = game.add.button(204, 480, 'select-clave', this.clickClave, this, data.clave, data.clave, data.clave);
        this.clave.anchor.setTo(0.5, 0.5);  
        
        //selecao da tessitura
        this.btnTessitura = game.add.button(640, 308, 'btn-config', this.clickTessitura, this, 3, 3, 7);
        this.btnTessitura.anchor.setTo(0.5, 0.5);
        this.tessitura = game.add.button(630, 480, 'select-tessitura', this.clickTessitura, this, data.tessitura, data.tessitura, data.tessitura);
        this.tessitura.anchor.setTo(0.5, 0.5);    
        
        //selecao da dificuldade
        this.btnDificuldade = game.add.button(1050, 308, 'btn-config', this.clickDificuldade, this, 2, 2, 6);
        this.btnDificuldade.anchor.setTo(0.5, 0.5);
        this.dificuldade = game.add.button(1050, 390, 'select-dificuldade', this.clickDificuldade, this, data.dificuldade, data.dificuldade, data.dificuldade);
        this.dificuldade.anchor.setTo(0.5, 0.5);      
        
        //selecao do tempo
        this.btnDuracao = game.add.button(1050, 530, 'btn-config', this.clickDuracao, this, 0, 0, 4);
        this.btnDuracao.anchor.setTo(0.5, 0.5);
        this.duracao = game.add.button(1050, 618, 'select-duracao', this.clickDuracao, this, data.duracao, data.duracao, data.duracao);
        this.duracao.anchor.setTo(0.5, 0.5); 
    },

    clickTessitura: function () {
        data.tessitura += 1;//0.5
        if (data.tessitura > 3) {
            data.tessitura = 0;
        }
        //data.tessitura = Math.round(data.tessitura);
        console.log(data.tessitura);
        this.tessitura.setFrames(data.tessitura, data.tessitura, data.tessitura);
        this.fx.play();
        
        return;


    },
    clickDificuldade: function () {
        data.dificuldade += 1;
        if (data.dificuldade > 2) {
            data.dificuldade = 0;
        }
        this.dificuldade.setFrames(data.dificuldade, data.dificuldade, data.dificuldade, data.dificuldade);
        this.fx.play();


    },
    clickDuracao: function () {
        data.duracao += 1;//0.5
        if (data.duracao > 3) {
            data.duracao = 0;
        }
        this.duracao.setFrames(data.duracao, data.duracao, data.duracao, data.duracao);
        this.fx.play();


    },
    clickSeta: function () {
        this.fx.play();
        game.state.start('Menu');
    },

    clickClave: function () {
        data.clave += 1;
        if (data.clave > 2) {
            data.clave = 0;
        }
        console.log(data.clave);
        this.clave.setFrames(data.clave, data.clave, data.clave);
        this.fx.play();
    }

};