Preload = function (game) {

};

Preload.prototype = {
    preload: function () {
        
        this.splash = game.add.sprite(0,0, 'preload');

        //prepara e posiciona a barra de carregamento
        this.barraLoading = game.add.sprite(game.world.centerX - 390, game.world.centerY + 100, 'loading');
        //this.barraLoading.anchor.setTo(0, 0);

        //define o sprite de carregamento
        game.load.setPreloadSprite(this.barraLoading);

        //carrega logo do jogo
        //this.logoClaves = this.add.sprite(this.world.centerX, this.world.centerY - 40, 'logo-claves');
        //this.logoClaves.anchor.setTo(0.5, 0.5);

        //escreve descricao do jogo
        //this.game.stage.backgroundColor = '#fff';
        //this.font = this.add.bitmapText(32, 32, 'font-azul', 'aprendendo o nome das notas', 32);
        //this.font.anchor.setTo(0.5, 0.5);
        //this.font.x = this.world.centerX;
        //this.font.y = this.world.centerY + 50;

        
        

    
        
        
        
        //config
        game.load.image('banner-menu', 'asset/banner/banner-menu.png');        
        game.load.image('banner-config', 'asset/banner/banner-config.png');        
        game.load.spritesheet('sheet-btn', 'asset/botao/sheet-btn.png', 200, 200);
        game.load.spritesheet('sheet-btn-back', 'asset/botao/sheet-btn-back.png', 200, 200);
        
        //select
        game.load.spritesheet('select-clave', 'asset/selecao/sheet-clave.png', 202, 258);
        game.load.spritesheet('select-dificuldade', 'asset/selecao/sheet-dificuldade.png', 136,45);
        game.load.spritesheet('select-duracao', 'asset/selecao/sheet-tempo.png', 139, 37);
        game.load.spritesheet('select-tessitura', 'asset/selecao/sheet-tessitura.png', 99, 250);
        
        //carrega tela de jogo
        game.load.image('banner-jogo', 'asset/banner/banner-jogo.png');   
        
        //carrega tela de desempenho
        game.load.image('banner-desempenho', 'asset/banner/banner-desempenho.png'); 
        
        //carrega tela de resultado
        game.load.image('banner-resultado', 'asset/banner/banner-resultado.png'); 
        
        
        
        
        //carrega todos os botões
        
        game.load.spritesheet('btn-botoes', 'asset/botao/sheet-btn.png', 200, 200);
        game.load.spritesheet('btn-back', 'asset/botao/sheet-btn-back.png', 200, 196);
        game.load.spritesheet('btn-config', 'asset/botao/sheet-btn-config.png', 335, 84);
        //game.load.spritesheet('btn-seta', 'asset/btn-triangulo.png', 130, 110);
        game.load.spritesheet('btn-clave', 'asset/btn-clave.png', 203, 259);
        //game.load.spritesheet('btn-creditos', 'asset/btn-cruz.png', 130, 130);
        
        //game.load.spritesheet('btn-x', 'asset/btn-x.png',130, 130);
        //game.load.spritesheet('btn-losangulo', 'asset/btn-losangulo.png', 130, 130);
        //game.load.spritesheet('btn-triangulo', 'asset/btn-triangulo.png', 130, 110);
        //game.load.spritesheet('btn-cruz', 'asset/btn-cruz.png', 130, 130);
        
        //carrega explosão
        game.load.spritesheet('explosao', 'asset/explosion.png', 64, 64);

        //carrega barra de tempo
        game.load.image('timer', 'asset/timer.png'); 
        
        //carrega bala
        game.load.image('bullet', 'asset/outros/bullet.png');
        

        //carrega pauta musical e claves
        game.load.image('pauta', 'asset/notas/figuras/pauta.png');
        game.load.spritesheet('claves', 'asset/claves.png', 110, 185);
        
        //carrega teclas
        game.load.spritesheet('teclas', 'asset/botao/teclas.png', 117, 152);

        //carrega as fontes
        //this.load.bitmapFont('font-azul-mono', 'asset/font/font-azul-mono/font.png', 'asset/font/font-azul-mono/font.fnt');
        //this.load.bitmapFont('font-azul', 'asset/font/font-azul/font.png', 'asset/font/font-azul/font.fnt');
        //this.load.bitmapFont('font-vermelho', 'asset/font/font-vermelho/font.png', 'asset/font/font-vermelho/font.fnt');
        //this.load.bitmapFont('font-verde', 'asset/font/font-verde/font.png', 'asset/font/font-verde/font.fnt');
        //this.load.bitmapFont('font-laranja', 'asset/font/font-laranja/font.png', 'asset/font/font-laranja/font.fnt');
        
        this.load.bitmapFont('font-preta', 'asset/font/font-preta/font.png', 'asset/font/font-preta/font.fnt');
        this.load.bitmapFont('font-branca', 'asset/font/font-branca/font.png', 'asset/font/font-branca/font.fnt');


        //carrega os efeitos sonoros
        game.load.audio('fx-botao', ['asset/fx/fx-botao.ogg', 'asset/fx/fx-botao.mp3']);
        game.load.audio('fx-bala', ['asset/fx/fx-bala.ogg', 'asset/fx/fx-bala.mp3']);
        game.load.audio('fx-erro', ['asset/fx/fx-erro.ogg', 'asset/fx/fx-erro.mp3']);
        game.load.audio('fx-explosao', ['asset/fx/fx-explosao.ogg', 'asset/fx/fx-explosao.mp3']);
        
        //carrega créditos
        game.load.image('creditos', 'asset/outros/creditos.png');
        

        //carrega as notas musicais
        for (var i = 0; i < notas.length; i += 1) {

            //carrega som
            game.load.audio( 'som-' + i, ['asset/notas/audio/' + notas[i] + '.ogg', 'asset/som/notas/' + notas[i] + '.mp3']);

            //carrega figura
            if (i <= 24) {
                game.load.image( 'fig-' + i, 'asset/notas/figuras/' + i + '.png');
            }
        }




    },
    create: function () {



        setTimeout(function () {
            game.state.start('Menu');
            //game.state.start('Creditos');
        }, 1000);
    },
    update: function () {}
};