data = {
    tessitura: 0,
    velocidade: 2,
    dificuldade: 1,
    duracao: 0,
    clave: 0,
    boxNote: null,
    boxBullet: null,
    pause: true
};
velocidades = [2, 5, 10];
notas = ['d2', 'e2', 'f2', 'g2', 'a2', 'b2',
             'c3', 'd3', 'e3', 'f3', 'g3', 'a3', 'b3',
             'c4', 'd4', 'e4', 'f4', 'g4', 'a4', 'b4',
             'c5', 'd5', 'e5', 'f5', 'g5', 'a5', 'b5'];
posicoes = [505, 495, 484, 473, 462, 451, 441, 430,
               417, 406, 395, 385, 373, 363, 352, 341,
               329, 318, 283, 272, 261, 250, 239, 228, 218];

placar = {
    acertos: 0,
    erros: 0,
    rendimento: 0,
    jogadas: 0,
    total: 0,
    media: 0,
    ultima: 0
};
duracoes = [60, 120, 300, 600];

function salvarJogo() {
    if (typeof (Storage) !== 'undefined') {
        localStorage.setItem('jogadas', placar.jogadas);
        localStorage.setItem('media', placar.media);
        localStorage.setItem('total', placar.total);
        localStorage.setItem('ultima', placar.ultima);
    }
};

function carregaJogo() {
    if (typeof (Storage) !== 'undefined') {
        placar.jogadas = localStorage.getItem('jogadas');
        if (placar.jogadas == undefined) {
            placar.jogadas = 0;
        }

        placar.total = localStorage.getItem('total');
        if (placar.total == undefined) {
            placar.total = 0;
        }
        placar.media = localStorage.getItem('media');
        if (placar.media == undefined) {
            placar.media = 0;
        }

        placar.ultima = localStorage.getItem('ultima');
        if (placar.ultima == undefined) {
            placar.ultima = 0;
        }
    }
}