Boot = function (game){
    
};

Boot.prototype = {

    init : function(){

        //configura a área do jogo
        this.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;
        //this.scale.scaleMode = Phaser.ScaleManager.EXACT_FIT;
        
        //centraliza a área
        this.scale.pageAlignHorizontally = true;
        this.scale.pageAlignVertically = true;
        
        //força a orientação do dispositivo
        //entre landscape e portrait
        this.scale.forceOrientation(false, true);
        
        //atualiza o tamanho da tela
        this.scale.updateLayout(true);
        
        //recalcula o tamanho
        this.scale.refresh();
        
        //vamos definir apenas um ponto de toque por vez
        this.input.maxPointers = 1;
        this.input.addPointer();
    },
    create : function(){
        //adciona os outros states
        game.state.add('Splash', Splash);
        game.state.add('Preload', Preload);
        game.state.add('Menu', Menu);
        game.state.add('Config', Config);
        game.state.add('Play', Play);
        game.state.add('Result', Result);
        game.state.add('Creditos', Creditos);
        game.state.add('Score', Score);
        
        //chama o Splash
        game.state.start('Splash');
        //game.state.start('Creditos');

    },

};