Figura = function () {
    this.vx = -data.velocidade;
    this.x = 1280;
    this.y = 720;
    this.note = null;
    this.octave = null;
    this.cifra = null;

};

Figura.prototype = {

    set: function (fig) {
       // console.log(data.clave);
        //fig = 19;

        //define cifra
        this.cifra = notas[fig];
        this.octave = this.cifra.charAt(1);
        this.note = this.cifra.charAt(0);
        
        
        this.y = posicoes[fig - data.clave];
        //console.log(this.y, data.clave);
        
        
        //cria sprite
        this.sprite = game.add.sprite(this.x, this.y, 'fig-' + (fig - data.clave) );
        //console.log('fig: ' + fig, this.cifra, this.y );
        
        //desloca pivot da figura conforme a clave
        if (data.clave == 0 && fig < 18) {
            this.sprite.anchor.setTo(0.5, 1);
            
        } else if(data.clave == 2 && fig < 20){
            this.sprite.anchor.setTo(0.5, 1);
            
        } else if (data.clave == 1 && fig < 19){
            this.sprite.anchor.setTo(0.5, 1);
            
        } else {
            
            this.sprite.anchor.setTo(0.5, 0);
        }
        //adiciona som
        this.som = game.add.audio('som-' + fig );

        //adiciona ao array
        data.boxNote= this;


    },
    setX: function (x) {
        this.x = x;

        this.sprite.x = this.x;

    },
    move: function () {
        this.x += this.vx;
        if (this.x <= 0) {
            this.destroy();
        }
        this.sprite.x = this.x;
    },
    destroy: function () {
        this.sprite.destroy();
        this.som.play();
        
        data.boxNote = null;

    }

};